Bug 885033 - CCS/CCP syntax error if wrong input is provide during edit
CCS/CCP syntax error if wrong input is provide during edit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
2.2
Unspecified Unspecified
low Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 05:38 EST by Lubos Trilety
Modified: 2013-03-19 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:39:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-12-07 05:38:49 EST
Description of problem:
When some bad line (which is not yaml correct) is put to edit tool ends with syntax error.

E.g. instead of level: 0, put just level
# ccs -a -p PAR
Console Connection Established...
fatal:  syntax error on line 11, col 2: `  must_change: false'

Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.4-1

How reproducible:
100%

Steps to Reproduce:
see above
  
Actual results:
syntax error

Expected results:
re-edit should be invoked

Additional info:
Comment 2 Robert Rati 2013-01-07 11:07:50 EST
Fixed upstream on:
BZ885033-metadata-fields-munged
Comment 4 Lubos Trilety 2013-01-10 11:35:27 EST
Tested with:
condor-wallaby-tools-5.0.5-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

Bad lines invoke re-edit of the object or they are just ignored. No syntax error appeared.

>>> verified

Note You need to log in before you can comment on or make changes to this bug.